Subject: Mollison

From: [email-masked]
Date: Thu, 22 Jun 1995 16:46:08 -0400

Petrus Saiiman asked about contacting Bil Mollison -- he's still at the
Permaculture Institute in Tyalgum, NSW, Australia. I don't know what you are
interested in in regard to TV programs, but he did do a 4-part series called
"The Global Gardener" for Australian TV, which is available on videotape.
It's very good -- broken into arid tropics, wet trops, cool temperate, and
urban gardening zones, with numerous examples shown from each are, all
expertly led by Mollison. I don;t know who sells it; enquire of Tagari Press
at the Permaculture Instritute. 

Good luck. 

catherine